var documenterSearchIndex = {"docs":
[{"location":"apis/#API-documentation","page":"API documentation","title":"API documentation","text":"","category":"section"},{"location":"apis/#Exported-functions","page":"API documentation","title":"Exported functions","text":"","category":"section"},{"location":"apis/#Modelling-page-layout","page":"API documentation","title":"Modelling page layout","text":"","category":"section"},{"location":"apis/","page":"API documentation","title":"API documentation","text":"MSPage\nmsPage\npageurn\nrv\nimageurn\niliadlines\niliadrange\ntextpairs\npage_bbox_roi\npage_top\npage_bottom\npage_right\npage_left\niliad_bbox_roi","category":"page"},{"location":"apis/#MiseEnPage.MSPage","page":"API documentation","title":"MiseEnPage.MSPage","text":"Model for analyzing layout of a page of a manuscript. Note that pagebounds is an image URN with region of interest showing position of the physical page within a documentary photograph. iliad_bbox is a bounding box for Iliad passages on the page, expressed in the same image-percent coordinates as image URNs.\n\n\n\n\n\n","category":"type"},{"location":"apis/#MiseEnPage.msPage","page":"API documentation","title":"MiseEnPage.msPage","text":"Collect all information needed to analyze the layout of a page.  Optionally include a CEX data string; if not included, the current release data of the Homer Multitext project is retrieved from github and used.\n\nmsPage(pageurn; data)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.pageurn","page":"API documentation","title":"MiseEnPage.pageurn","text":"URN identifying page mspage.\n\npageurn(mspage)\n\n\n\n\n\n\nURN of page scored.\n\npageurn(score)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.rv","page":"API documentation","title":"MiseEnPage.rv","text":"Determine if page is :recto or :verso.\n\nrv(mspage)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.imageurn","page":"API documentation","title":"MiseEnPage.imageurn","text":"URN for documentary image illustrating page.\n\nimageurn(mspage)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.iliadlines","page":"API documentation","title":"MiseEnPage.iliadlines","text":"Lines of Iliad on page mspage. Returns a (possibly empty) vector of URNs.\n\niliadlines(mspage)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.iliadrange","page":"API documentation","title":"MiseEnPage.iliadrange","text":"Compose a CTS URN for the range of Iliad lines on page mspage.  Returns nothing if  there are no Iliad lines  on the page.\n\niliadrange(mspage)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.textpairs","page":"API documentation","title":"MiseEnPage.textpairs","text":"Pairings of scholia with Iliad line they comment on appearing on page mspage.\n\ntextpairs(mspage)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.page_bbox_roi","page":"API documentation","title":"MiseEnPage.page_bbox_roi","text":"Find a bounding box for the physical page mspage on a documentary image. Returns a named tuple of floats.\n\npage_bbox_roi(mspage; digits)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.page_top","page":"API documentation","title":"MiseEnPage.page_top","text":"Top of page's bounding box.\n\npage_top(mspage; digits)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.page_bottom","page":"API documentation","title":"MiseEnPage.page_bottom","text":"Bottom of page's bounding box.\n\npage_bottom(mspage; digits)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.page_right","page":"API documentation","title":"MiseEnPage.page_right","text":"Right edge of page's bounding box.\n\npage_right(mspage; digits)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.page_left","page":"API documentation","title":"MiseEnPage.page_left","text":"Left edge of page's bounding box.\n\npage_left(mspage; digits)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.iliad_bbox_roi","page":"API documentation","title":"MiseEnPage.iliad_bbox_roi","text":"Find a bounding box on a documentary image for the Iliad lines on page mspage. Returns a named tuple of floats.\n\niliad_bbox_roi(mspage; digits)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#Analyzing-page-layout","page":"API documentation","title":"Analyzing page layout","text":"","category":"section"},{"location":"apis/","page":"API documentation","title":"API documentation","text":"PageScore\nscore_by_proximity_y\nscore_by_zones\nsuccesses\nfailures\ntotal\nsuccess_rate\ndelimited\nresultsfromdelimited","category":"page"},{"location":"apis/#MiseEnPage.PageScore","page":"API documentation","title":"MiseEnPage.PageScore","text":"Record of score for analysis of a page.\n\n\n\n\n\n","category":"type"},{"location":"apis/#MiseEnPage.score_by_proximity_y","page":"API documentation","title":"MiseEnPage.score_by_proximity_y","text":"Score number of scholia correctly placed on page using proximity model. Optionally specify siglum of scholia to model. If siglum is nothing, include all scholia.\n\nscore_by_proximity_y(mspage; threshhold, siglum)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.score_by_zones","page":"API documentation","title":"MiseEnPage.score_by_zones","text":"Score number of scholia correctly placed on page using model of placement by zone. Optionally specify siglum of scholia to model. If siglum is nothing, include all scholia.\n\nscore_by_zones(mspage; threshold, siglum)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.successes","page":"API documentation","title":"MiseEnPage.successes","text":"Number of scholia successfully modeled.\n\nsuccesses(score)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.failures","page":"API documentation","title":"MiseEnPage.failures","text":"Number of scholia unsuccessfully modeled.\n\nfailures(score)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.total","page":"API documentation","title":"MiseEnPage.total","text":"Total number of scholia on page.\n\ntotal(score)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.success_rate","page":"API documentation","title":"MiseEnPage.success_rate","text":"Success rate of model's layout (0.0:1.0).\n\nsuccess_rate(score)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.delimited","page":"API documentation","title":"MiseEnPage.delimited","text":"Serialize score for a single page.\n\ndelimited(pgScore; delimiter)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.resultsfromdelimited","page":"API documentation","title":"MiseEnPage.resultsfromdelimited","text":"Instantiate a single PageScore object from a delimited-text source.\n\nresultsfromdelimited(txt; delimiter)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#Documentary-images","page":"API documentation","title":"Documentary images","text":"","category":"section"},{"location":"apis/","page":"API documentation","title":"API documentation","text":"load_rgba\ndimensions","category":"page"},{"location":"apis/#MiseEnPage.load_rgba","page":"API documentation","title":"MiseEnPage.load_rgba","text":"Instantiate an Image from a URN. Returns a matrix of RGBA values.\n\nload_rgba(imgurn; w, alpha)\n\n\n\n\n\n\nLoad documentary image for page mspage.\n\nload_rgba(mspage; alpha, w)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.dimensions","page":"API documentation","title":"MiseEnPage.dimensions","text":"Find dimensions of image img, and format as a named tuple with :h and :w values.\n\ndimensions(img)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#Composing-visualizations-with-Luxor","page":"API documentation","title":"Composing visualizations with Luxor","text":"","category":"section"},{"location":"apis/","page":"API documentation","title":"API documentation","text":"pagebox_luxor\niliadbox_luxor","category":"page"},{"location":"apis/#MiseEnPage.pagebox_luxor","page":"API documentation","title":"MiseEnPage.pagebox_luxor","text":"Create a Luxor box command to draw a box on image img around the physical page illustrated there.\n\npagebox_luxor(pg, img; luxoraction)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.iliadbox_luxor","page":"API documentation","title":"MiseEnPage.iliadbox_luxor","text":"Create a Luxor box command to draw a box  on image img around the block of Iliad text on page pg.\n\niliadbox_luxor(pg, img; luxoraction)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#Functions-used-internally","page":"API documentation","title":"Functions used internally","text":"","category":"section"},{"location":"apis/#Working-with-page-layout-data","page":"API documentation","title":"Working with page layout data","text":"","category":"section"},{"location":"apis/","page":"API documentation","title":"API documentation","text":"MiseEnPage.ScholionIliadPair\nMiseEnPage.pairtexts\nMiseEnPage.iliadboundbox\nMiseEnPage.scholion_heights\nMiseEnPage.scholion_height\nMiseEnPage.scholion_tops\nMiseEnPage.scholion_top\nMiseEnPage.iliad_tops\nMiseEnPage.iliad_top\nMiseEnPage.topzone_box\nMiseEnPage.adjacentzone_box\nMiseEnPage.bottomzone_box","category":"page"},{"location":"apis/#MiseEnPage.ScholionIliadPair","page":"API documentation","title":"MiseEnPage.ScholionIliadPair","text":"A scholion paired with the Iliad line it comments on. Each text passage has a corresponding image with region of interest. lineindex is the relative position of the Iliad text on its page.\n\n\n\n\n\n","category":"type"},{"location":"apis/#MiseEnPage.pairtexts","page":"API documentation","title":"MiseEnPage.pairtexts","text":"Pair data for each scholion in scholialist with corresponding Iliad data as a ScholionIliadPair.\n\npairtexts(scholialist, commentarydata, dsedata, iliadreff)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.iliadboundbox","page":"API documentation","title":"MiseEnPage.iliadboundbox","text":"Get a containing rectangle for the Iliad lines on a page. iliadlines should be a Vector with Iliad lines on a single page; dse is a DSE collection covering those lines.\n\niliadboundbox(iliadlines, dse; digits)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.scholion_heights","page":"API documentation","title":"MiseEnPage.scholion_heights","text":"Find height in image percent coordinates of scholia on page.\n\nscholion_heights(mspage; siglum)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.scholion_height","page":"API documentation","title":"MiseEnPage.scholion_height","text":"Height of scholion's bounding box.\n\nscholion_height(sipair; digits)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.scholion_tops","page":"API documentation","title":"MiseEnPage.scholion_tops","text":"Find height in image percent coordinates of scholia on page.\n\nscholion_tops(mspage; siglum)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.scholion_top","page":"API documentation","title":"MiseEnPage.scholion_top","text":"Top of scholion's bounding box.\n\nscholion_top(sipair)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.iliad_tops","page":"API documentation","title":"MiseEnPage.iliad_tops","text":"Find tops of Iliad lines in image percent coordinates of scholia on page.\n\niliad_tops(mspage)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.iliad_top","page":"API documentation","title":"MiseEnPage.iliad_top","text":"Top of Iliad text's bounding box.\n\niliad_top(sipair)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.topzone_box","page":"API documentation","title":"MiseEnPage.topzone_box","text":"Find location of top zone for scholia in manuscript siglum.\n\ntopzone_box(; siglum)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.adjacentzone_box","page":"API documentation","title":"MiseEnPage.adjacentzone_box","text":"Find location of adjacent (middle) zone for scholia in manuscript siglum.\n\nadjacentzone_box(; siglum)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.bottomzone_box","page":"API documentation","title":"MiseEnPage.bottomzone_box","text":"Find location of bottom zone for scholia in manuscript siglum.\n\nbottomzone_box(; siglum)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#Working-with-images-and-Luxor-diagrams","page":"API documentation","title":"Working with images and Luxor diagrams","text":"","category":"section"},{"location":"apis/","page":"API documentation","title":"API documentation","text":"MiseEnPage.imagefloats\nMiseEnPage.imgservice\nMiseEnPage.load_rgb\nMiseEnPage.boxscaled\nMiseEnPage.pageboxscaled\nMiseEnPage.iliadboxscaled\nMiseEnPage.pointscaled","category":"page"},{"location":"apis/#CitableImage.imagefloats","page":"API documentation","title":"CitableImage.imagefloats","text":"Extract region-of-interest string from an image URN, and convert to a vector of floats rounded to digits significant places. It is an error if the syntax of the URN's subreference is invalid.\n\nimagefloats(imgu; digits)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.imgservice","page":"API documentation","title":"MiseEnPage.imgservice","text":"Instantiate a citable image service.\n\nimgservice()\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.load_rgb","page":"API documentation","title":"MiseEnPage.load_rgb","text":"Instantiate an Image from a URN.  Returns a matrix of RGB values.\n\nload_rgb(imgurn; w)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.boxscaled","page":"API documentation","title":"MiseEnPage.boxscaled","text":"Scale percentage coordinate values in the named tuple boxtuple to pixels on the image rgba_img. Returns a named tuple of floats.\n\nboxscaled(boxtuple, rgba_img)\n\n\n\n\n\n\nScale percentage coordinate values in the named tuple boxtuple to pixels on the image rgb_img. Returns a named tuple of floats.\n\nboxscaled(boxtuple, rgb_img)\n\n\n\n\n\n\nScale percentage coordinate values in the named tuple boxtuple to pixels on an image with height imgheight and width imgwidth. Returns a named tuple of floats.\n\nboxscaled(boxtuple, imgwidth, imgheight; digits)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.pageboxscaled","page":"API documentation","title":"MiseEnPage.pageboxscaled","text":"Find a bounding box for the physical page scaled to pixels on the image downloaded for the page RoI urn. Returns a named tuple of floats.\n\npageboxscaled(mspage; digits)\n\n\n\n\n\n\nFind a bounding box for the physical page mspage scaled to pixels on the image rgba_img. Returns a named tuple of floats.\n\npageboxscaled(mspage, rgba_img; digits)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.iliadboxscaled","page":"API documentation","title":"MiseEnPage.iliadboxscaled","text":"Find a bounding box for the Iliad text on page mspage scaled to pixels on the image rgba_img. Returns a named tuple of floats.\n\niliadboxscaled(mspage, rgba_img; digits)\n\n\n\n\n\n\n","category":"function"},{"location":"apis/#MiseEnPage.pointscaled","page":"API documentation","title":"MiseEnPage.pointscaled","text":"Scale point pt expressed in percentage values to a new Luxor Point scaled to fit image rgba_img\n\npointscaled(pt, rgba_img; digits)\n\n\n\n\n\n\nScale point pt expressed in percentage values to a new Luxor Point scaled to fit the given image dimensions.\n\npointscaled(pt, imgwidth, imgheight; digits)\n\n\n\n\n\n\n","category":"function"},{"location":"scoring/","page":"Systematically evaluating hypotheses","title":"Systematically evaluating hypotheses","text":"using CitableObject\npage_urn = Cite2Urn(\"urn:cite2:hmt:msA.v1:112r\")\nusing MiseEnPage\npg = msPage(page_urn)","category":"page"},{"location":"scoring/#Systematically-evaluating-hypotheses","page":"Systematically evaluating hypotheses","title":"Systematically evaluating hypotheses","text":"","category":"section"},{"location":"scoring/","page":"Systematically evaluating hypotheses","title":"Systematically evaluating hypotheses","text":"The score_by_proximity_y function evaluates how successfully the proximity hypothesis predicts the layout of scholia for a single page by comparing the model's placement of scholia with their actual recorded positions. It has optional parameters that allow you to limit the analysis to a specific set of scholia (default: msA, the main scholia of the Venetus A manuscript), and to set a threshhold distance for how close a placement constitutes a successful predicted layout. The threshhold is scaled from 0.0 to 1.0. A threshhold of 1.0 matches anything on the page; a threshhold of 0.0 matches nothing.  The default value of 0.1 considers the model's placement successful when its y value falls within 10% of the actual y value. Compare the following examples","category":"page"},{"location":"scoring/","page":"Systematically evaluating hypotheses","title":"Systematically evaluating hypotheses","text":"score_default = score_by_proximity_y(pg; threshhold = 0.1)","category":"page"},{"location":"scoring/","page":"Systematically evaluating hypotheses","title":"Systematically evaluating hypotheses","text":"success_rate(score_default)","category":"page"},{"location":"scoring/","page":"Systematically evaluating hypotheses","title":"Systematically evaluating hypotheses","text":"score_15 = score_by_proximity_y(pg; threshhold = 0.15)","category":"page"},{"location":"scoring/","page":"Systematically evaluating hypotheses","title":"Systematically evaluating hypotheses","text":"success_rate(score_15)","category":"page"},{"location":"scoring/#Caveats","page":"Systematically evaluating hypotheses","title":"Caveats","text":"","category":"section"},{"location":"scoring/","page":"Systematically evaluating hypotheses","title":"Systematically evaluating hypotheses","text":"Missing data for even a single scholion on a page can skew the model's results. ","category":"page"},{"location":"viz/","page":"Brief tutorial: visualizing page layout","title":"Brief tutorial: visualizing page layout","text":"using CitableObject\npage_urn = Cite2Urn(\"urn:cite2:hmt:msA.v1:112r\")\nusing MiseEnPage\npg = msPage(page_urn)","category":"page"},{"location":"viz/#Brief-tutorial:-visualizing-page-layout","page":"Brief tutorial: visualizing page layout","title":"Brief tutorial: visualizing page layout","text":"","category":"section"},{"location":"viz/","page":"Brief tutorial: visualizing page layout","title":"Brief tutorial: visualizing page layout","text":"MiseEnPage includes high-level functions for retrieving a documentary image for a page, and for diagramming page layout data using the Luxor graphics package.  These functions make it straightforward to visualize the layout problem and analysis.","category":"page"},{"location":"viz/#Documentary-image","page":"Brief tutorial: visualizing page layout","title":"Documentary image","text":"","category":"section"},{"location":"viz/","page":"Brief tutorial: visualizing page layout","title":"Brief tutorial: visualizing page layout","text":"Continuing with the example page from the preceding documentation, we can load a documentary image for a page with the load_rgba function. Optional parameters let you scale the resulting image to a given width (w), and to set the alpha channel of the image (on a scale of 0.0 to 1.0).","category":"page"},{"location":"viz/","page":"Brief tutorial: visualizing page layout","title":"Brief tutorial: visualizing page layout","text":"img = load_rgba(pg; w = 200, alpha = 0.4)","category":"page"},{"location":"viz/","page":"Brief tutorial: visualizing page layout","title":"Brief tutorial: visualizing page layout","text":"In Julia, an image is just a normal Julia matrix of pixel values (here, RGBA values). ","category":"page"},{"location":"viz/","page":"Brief tutorial: visualizing page layout","title":"Brief tutorial: visualizing page layout","text":"img |> typeof","category":"page"},{"location":"viz/","page":"Brief tutorial: visualizing page layout","title":"Brief tutorial: visualizing page layout","text":"info: Using images in Julia\nSee the JuliaImages documentation or watch the wonderful video introduction by Grant Sanderson (3blue1brown), part of MIT's \"Computational Thinking\" course, if you want to learn more about working with images in Julia.","category":"page"},{"location":"viz/","page":"Brief tutorial: visualizing page layout","title":"Brief tutorial: visualizing page layout","text":"MiseEnPage includes a convenience function to save the width and height of the image in a named tuple.","category":"page"},{"location":"viz/","page":"Brief tutorial: visualizing page layout","title":"Brief tutorial: visualizing page layout","text":"dimm = dimensions(img)","category":"page"},{"location":"viz/#Diagramming-page-layout-with-Luxor","page":"Brief tutorial: visualizing page layout","title":"Diagramming page layout with Luxor","text":"","category":"section"},{"location":"viz/","page":"Brief tutorial: visualizing page layout","title":"Brief tutorial: visualizing page layout","text":"Luxor includes shorthand macros to create diagrams as files on disk (e.g., @png) or for display in an interactive environment (@draw). You can specify a width and height for the resulting image following the macro's begin..end block. This boilerplate code uses the dimensions we just saved to create a drawing space of the same dimensions as our image.","category":"page"},{"location":"viz/","page":"Brief tutorial: visualizing page layout","title":"Brief tutorial: visualizing page layout","text":"using Luxor\n# Boilerplate framework:\n@draw begin\n\n    \nend dimm[:w] dimm[:h]","category":"page"},{"location":"viz/","page":"Brief tutorial: visualizing page layout","title":"Brief tutorial: visualizing page layout","text":"Next, we'll use two standard Luxor functions to place the image in the drawing space, translate and placeimage.  By default, Luxor places the coordinate origin at the center of the drawing space, but's easier to draw on the image if we align the coordinate system's origin (0,0) to be the top left corner of the space.  We can do that by shifting the origin up and to the left (both negative directions) for one half the size of our image. (That's the translate function in the following code snippet.)  Then we'll place the image at the origin, here named with the Luxor shorthand O (the letter O).","category":"page"},{"location":"viz/","page":"Brief tutorial: visualizing page layout","title":"Brief tutorial: visualizing page layout","text":"@draw begin\n     translate(-1 * dimm[:w]/2,  -1 * dimm[:h]/2)\n     placeimage(img,O)\n     \nend dimm[:w] dimm[:h]","category":"page"},{"location":"viz/","page":"Brief tutorial: visualizing page layout","title":"Brief tutorial: visualizing page layout","text":"Now we have our image in a Luxor drawing space where we can continue our diagram. MiseEnPage includes functions you can use to add to the composition of a Luxor drawing.","category":"page"},{"location":"viz/","page":"Brief tutorial: visualizing page layout","title":"Brief tutorial: visualizing page layout","text":"pagebox draws a rectangle around the physical page\niliadbox draws a rectangle around the block of edited Iliad text","category":"page"},{"location":"viz/","page":"Brief tutorial: visualizing page layout","title":"Brief tutorial: visualizing page layout","text":"You can mix these in with normal Luxor functions like sethue and setline, as in the following example.","category":"page"},{"location":"viz/","page":"Brief tutorial: visualizing page layout","title":"Brief tutorial: visualizing page layout","text":"@draw begin\n     translate(-1 * dimm[:w]/2,  -1 * dimm[:h]/2)\n     placeimage(img,O)\n     sethue(\"green\")\n     setline(2)\n     pagebox_luxor(pg, img)\n     sethue(\"blue\")\n     iliadbox_luxor(pg, img)\n     sethue(\"gray\")\n      commented_lines_luxor(pg, img)\nend dimm[:w] dimm[:h]","category":"page"},{"location":"viz/","page":"Brief tutorial: visualizing page layout","title":"Brief tutorial: visualizing page layout","text":"info: More information about Luxor\nSee the excellent Luxor documentation (including tutorial) if you want to learn more about creating graphics with Luxor.","category":"page"},{"location":"#MiseEnPage","page":"Overview","title":"MiseEnPage","text":"","category":"section"},{"location":"","page":"Overview","title":"Overview","text":"Analyze the layout of manuscript pages edited according to the conventions of the Homer Multitext project.","category":"page"},{"location":"#Shortest-possible-example:-evaluate-and-visualize-layout-hypothesis","page":"Overview","title":"Shortest possible example: evaluate and visualize layout hypothesis","text":"","category":"section"},{"location":"","page":"Overview","title":"Overview","text":"To analyze the layout of a manuscript page, identify the page by Cite2Urn. You'll need the CitableObject package for that.","category":"page"},{"location":"","page":"Overview","title":"Overview","text":"using CitableObject\npageid = Cite2Urn(\"urn:cite2:hmt:msA.v1:112r\")","category":"page"},{"location":"","page":"Overview","title":"Overview","text":"Assemble all information necessary to analyze the page's layout in a MSPage object.","category":"page"},{"location":"","page":"Overview","title":"Overview","text":"using MiseEnPage\npg = msPage(pageid)","category":"page"},{"location":"","page":"Overview","title":"Overview","text":"Now score the \"proximity\" hypothesis.","category":"page"},{"location":"","page":"Overview","title":"Overview","text":"pagescore = score_by_proximity_y(pg)","category":"page"},{"location":"","page":"Overview","title":"Overview","text":"success_rate(pagescore)","category":"page"},{"location":"","page":"Overview","title":"Overview","text":"Load a documentary image for the page, and visualize the page's layout under the proximity hypothesis compared to the actual layout.  (This last step requires the Luxor graphics package.) Gray dots mark Iliad lines that scholia comment on; orange dots show the y value for the placment of scholia using the proximity model; green dots show the recorded y value for the scholia.","category":"page"},{"location":"","page":"Overview","title":"Overview","text":"img = load_rgba(pg; w = 400)\n\nusing Luxor\nvisualize_proximity_y_draw(pg, img)","category":"page"},{"location":"page/","page":"Modelling a page","title":"Modelling a page","text":"using CitableObject\npageid = Cite2Urn(\"urn:cite2:hmt:msA.v1:112r\")\nusing MiseEnPage\npg = msPage(pageid)","category":"page"},{"location":"page/#Modelling-a-page","page":"Modelling a page","title":"Modelling a page","text":"","category":"section"},{"location":"page/","page":"Modelling a page","title":"Modelling a page","text":"The MSPage type models the information needed to analyze page layout.  The following series of functions exposing that information are mostly self explanatory. (See the API documentation for further details.)","category":"page"},{"location":"page/","page":"Modelling a page","title":"Modelling a page","text":"pageurn(pg)","category":"page"},{"location":"page/","page":"Modelling a page","title":"Modelling a page","text":"rv(pg)","category":"page"},{"location":"page/","page":"Modelling a page","title":"Modelling a page","text":"imageurn(pg)","category":"page"},{"location":"page/","page":"Modelling a page","title":"Modelling a page","text":"iliadrange(pg)","category":"page"},{"location":"page/","page":"Modelling a page","title":"Modelling a page","text":"iliadlines(pg)","category":"page"},{"location":"page/","page":"Modelling a page","title":"Modelling a page","text":"page_bbox_roi(pg)","category":"page"},{"location":"page/","page":"Modelling a page","title":"Modelling a page","text":"iliad_bbox_roi(pg)","category":"page"},{"location":"page/#Text-pairs","page":"Modelling a page","title":"Text pairs","text":"","category":"section"},{"location":"page/","page":"Modelling a page","title":"Modelling a page","text":"The MSPage object also includes a vector of MiseEnPage.ScholionIliadPairs.  This type documents the relations of a scholion to an Iliad passage. The API documentation includes functions used internally to work with this structure.","category":"page"},{"location":"page/","page":"Modelling a page","title":"Modelling a page","text":"textpairs(pg)","category":"page"}]
}
